Bug 736756 - pam_systemd emits warning message on valid 'sudo su -' command
Summary: pam_systemd emits warning message on valid 'sudo su -' command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 15:53 UTC by seth vidal
Modified: 2013-07-29 01:59 UTC (History)
10 users (show)

Fixed In Version: systemd-37-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-10 17:44:25 UTC


Attachments (Terms of Use)

Description seth vidal 2011-09-08 15:53:13 UTC
Description of problem:
When running on f16 + updates when I run:

sudo su -

I get the following in the logs:

su: pam_systemd(su-l:session): Failed to parse message: Message has only 3 arguments, but more were expected


Version-Release number of selected component (if applicable):
systemd-34-1.fc16.x86_64

How reproducible:
run a sudo su - on a systemd-using system and look at the logs



It'd be nice to have this fix whatever is causing the log output.

Comment 1 Lennart Poettering 2011-09-19 23:22:27 UTC
my guess is that you are running an old systemd-logind with a new pam_systemd.

Does this go away if you reboot? (or if you run "systemctl restart systemd-logind.service"?)

Comment 2 Lennart Poettering 2011-10-11 00:57:02 UTC
This is fixed in git.

Comment 3 Fedora Update System 2011-10-11 19:18:22 UTC
systemd-37-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/systemd-37-1.fc16

Comment 4 Fedora Update System 2011-10-13 18:10:24 UTC
Package systemd-37-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14239
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-20 02:22:19 UTC
Package systemd-37-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-2.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14239
then log in and leave karma (feedback).

Comment 6 Fedora Admin XMLRPC Client 2011-10-20 16:31:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Update System 2011-11-02 17:54:37 UTC
Package systemd-37-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14239
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-11-10 17:44:25 UTC
systemd-37-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.